Bug 1725289 - undefined method `lookup_values' for nil:NilClass while creating host with foreman_scap_client ansible role
Summary: undefined method `lookup_values' for nil:NilClass while creating host with fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-29 03:37 UTC by Nikhil Kathole
Modified: 2019-10-22 12:48 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-1.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27232 None None None 2019-07-04 07:23:54 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description Nikhil Kathole 2019-06-29 03:37:54 UTC
Description of problem:

NoMethodError: undefined method `lookup_values' for nil:NilClass while creating host with foreman_scap_client ansible role

Version-Release number of selected component (if applicable):
Satellite 6.6.0 snap 9


How reproducible: always


Steps to Reproduce:
1. Create hostgroup with all entities populated 
2. Create host with assigned foreman_scap_client ansible role


Actual results:
Not able to create host and Error as NoMethodError: undefined method `lookup_values' for nil:NilClass


Expected results:
Host should create successfully.


Additional info: Regression.

Comment 6 Marek Hulan 2019-07-04 07:23:53 UTC
Created redmine issue https://projects.theforeman.org/issues/27232 from this bug

Comment 7 Bryan Kearney 2019-07-04 14:08:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27232 has been resolved.

Comment 8 Nikhil Kathole 2019-07-15 12:58:23 UTC
VERIFIED

Version tested:
Satellite 6.6 snap 11

# rpm -qa | grep openscap
rubygem-openscap-0.4.7-4.el7sat.noarch
openscap-scanner-1.2.17-2.el7.x86_64
openscap-1.2.17-2.el7.x86_64
rubygem-smart_proxy_openscap-0.7.2-1.el7sat.noarch
tfm-rubygem-foreman_openscap-1.0.4-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_openscap-0.1.7-2.el7sat.noarch

Able to create host with assigned foreman_scap_client ansible role successfully without importing variables.

Comment 10 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.